Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.sp.jedit
Class BufferHistory

    java.lang.Object
      org.gjt.sp.jedit.BufferHistory

    public class BufferHistory

extends java.lang.Object

Recent file list.

Nested Class Summary
`static class` | `BufferHistory.Entry` Recent file list entry.

Constructor Summary
`BufferHistory()`

Method Summary
`static void` | `clear()` Clear the BufferHistory.
`static BufferHistory.Entry` | `getEntry(java.lang.String path)`
`static java.util.List<BufferHistory.Entry>` | `getHistory()` Returns the Buffer list.
`static void` | `load()`
`static void` | `save()`
`static void` | `setEntry(java.lang.String path, int caret, Selection[] selection, java.lang.String encoding, java.lang.String mode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BufferHistory

    public BufferHistory()

Method Detail

### getEntry

    public static BufferHistory.Entry getEntry(java.lang.String path)

### setEntry

    public static void setEntry(java.lang.String path,
                                int caret,
                                Selection[] selection,
                                java.lang.String encoding,
                                java.lang.String mode)

### clear

    public static void clear()

  Clear the BufferHistory.

  Since:
    4.3pre6

### getHistory

    public static java.util.List<BufferHistory.Entry> getHistory()

  Returns the Buffer list.

  Returns:
    the buffer history list
  Since:
    jEdit 4.2pre2

### load

    public static void load()

### save

    public static void save()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD